io.agora.rtc

## Class PlayerUpdatedInfo

- java.lang.Object
- - io.agora.rtc.PlayerUpdatedInfo

-     public class PlayerUpdatedInfo
      extends java.lang.Object

  Information about player update.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private CacheStatistics` | `cacheStatistics` Cache statistics
    `private java.lang.String` | `deviceId` Device ID
    `private java.lang.String` | `playerId` Player ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerUpdatedInfo()` Default constructor for PlayerUpdatedInfo.
    `PlayerUpdatedInfo(java.lang.String playerId, java.lang.String deviceId, CacheStatistics cacheStatistics)` Constructs PlayerUpdatedInfo with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CacheStatistics` | `getCacheStatistics()` Gets the cache statistics.
    `java.lang.String` | `getDeviceId()` Gets the device ID.
    `java.lang.String` | `getPlayerId()` Gets the player ID.
    `void` | `setCacheStatistics(CacheStatistics cacheStatistics)` Sets the cache statistics.
    `void` | `setDeviceId(java.lang.String deviceId)` Sets the device ID.
    `void` | `setPlayerId(java.lang.String playerId)` Sets the player ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### playerId

          private java.lang.String playerId

      Player ID

    - #### deviceId

          private java.lang.String deviceId

      Device ID

    - #### cacheStatistics

          private CacheStatistics cacheStatistics

      Cache statistics

  - ### Constructor Detail

    - #### PlayerUpdatedInfo

          public PlayerUpdatedInfo()

      Default constructor for PlayerUpdatedInfo.

    - #### PlayerUpdatedInfo

          public PlayerUpdatedInfo(java.lang.String playerId,
                                   java.lang.String deviceId,
                                   CacheStatistics cacheStatistics)

      Constructs PlayerUpdatedInfo with all parameters.
      Parameters:
        `playerId` - Player ID
        `deviceId` - Device ID
        `cacheStatistics` - Cache statistics

  - ### Method Detail

    - #### getPlayerId

          public java.lang.String getPlayerId()

      Gets the player ID.
      Returns:
        Player ID

    - #### setPlayerId

          public void setPlayerId(java.lang.String playerId)

      Sets the player ID.
      Parameters:
        `playerId` - Player ID

    - #### getDeviceId

          public java.lang.String getDeviceId()

      Gets the device ID.
      Returns:
        Device ID

    - #### setDeviceId

          public void setDeviceId(java.lang.String deviceId)

      Sets the device ID.
      Parameters:
        `deviceId` - Device ID

    - #### getCacheStatistics

          public CacheStatistics getCacheStatistics()

      Gets the cache statistics.
      Returns:
        Cache statistics

    - #### setCacheStatistics

          public void setCacheStatistics(CacheStatistics cacheStatistics)

      Sets the cache statistics.
      Parameters:
        `cacheStatistics` - Cache statistics